html {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

body {
    margin: 0px;
    background-color: rgb(33, 37, 41);
}

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Header */
header {
    position: fixed;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 130px;
    z-index: 999;
    mask: linear-gradient(to top, transparent, black 35%);
    backdrop-filter: blur(10px);
    top: 0px;
}

.header-row {
    position: fixed;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    top: 0px;
}

.logo {
    height: auto;
    width: 75px;
}

.logo:hover {
    cursor: pointer;
}

/* Pc menu */
.pc-menu-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.pc-menu {
    display: flex;
    flex-direction: row;
}

.pc-menu li {
    display: block;
    margin: 20px;
    text-align: center;
}

.pc-menu li a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    transition: color 0.2s;
}

.pc-menu li a:hover {
    cursor: pointer;
    color: rgb(114, 161, 199);
}

.pc-menu-button {
    margin-left: 3.5%;
    color: rgb(230, 230, 230);
    border-radius: 10px;
    padding: 10px;
    border: 0px;
    background-color: rgb(102, 156, 218);
}

.pc-menu-profile-icon {
    margin-left: 10px;
    height: auto;
    width: 30px;
}

.pc-menu-items p {
    line-height: 0px;
    margin: 10px;
    width: 100%;
}

.pc-menu-profile-icon:hover {
    cursor: pointer;
}

.pc-menu-button:hover {
    cursor: pointer;
}

/* Mobile header */
.mobile-menu-container {
    display: none;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-top: -25px;
    width: 100%;
}

.mobile-logo-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.mobile-header-title:hover {
    cursor: pointer;
}

.mht1 {
    color: rgb(255, 255, 255);
}

.mht2 {
    color: rgb(102, 156, 218);
}

.mobile-menu-open {
    display: block;
    color: white;
    font-size: 50px;
    margin-right: 20px;
    width: 60px;
    height: 60px;
    line-height: 110%;
    text-align: center;
    transition: transform 0.4s;
}

.mobile-menu-open:hover {
    cursor: pointer;
}

.mobile-menu {
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgb(31, 35, 39);
    width: 100%;
    position: fixed;
    bottom: 0px;
    z-index: 998;
    height: 30%;
    box-shadow: 0 0 120px 60px rgba(0, 0, 0, 0.2);
    mask: linear-gradient(to bottom, transparent, black 35%);
}

@keyframes mobileMenuFadeIn {
    0% {bottom: -200px;}
    100% {bottom: 0px;}
}

@keyframes mobileMenuFadeOut {
    0% {bottom: 0px;}
    100% {bottom: -200px;}
}

.mobile-menu-items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 20px;
}

.mobile-menu-items a {
    font-size: 13px;
    color: white;
    margin: 10px;
    transition: color 0.3s;
}

.mobile-menu-items a:hover {
    cursor: pointer;
    color: rgb(114, 161, 199);
}

.mobile-menu-buttons {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.mobile-menu-contact {
    padding: 10px;
    border-radius: 10px;
    background-color: rgb(79, 138, 194);
    border: 0px;
    color: white;
    font-weight: bold;
    margin: 5px;
    margin-top: 20px;
}

.mobile-menu-profile-icon {
    height: auto;
    width: 30px;
    margin: 5px;
    margin-top: 20px;
}

.mobile-menu-profile-icon:hover {
    cursor: pointer;
}

.mobile-menu-contact:hover {
    cursor: pointer;
}

/* Decide header */
@media only screen and (max-width: 810px) {
    .pc-menu-container {
        display: none;
    }

    .mobile-menu-container {
        display: flex;
    }
}

/* Body */
.loading-wrapper {
    display: none; /* block */
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 100;
}

.loading-warning {
    display: none; /* block */
    font-size: 17px;
    width: 30%;
    text-align: center;
    color: rgb(255, 255, 255);
    font-weight: bold;
    transition: top 0.2s;
    transition: width 0.2s;
    z-index: 100;
}

@media only screen and (max-width: 1356px) {
    .loading-warning {
        width: 40%;
    }
}

@media only screen and (max-width: 928px) {
    .loading-warning {
        width: 60%;
    }
}

@media only screen and (max-width: 592px) {
    .loading-warning {
        width: 80%;
    }
}


.loading {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #66a9d6;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.loading h1 {
    background-color: green;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: auto;
    margin-top: 125px;
    color: white;
}

/* Footer */
footer {
    text-align: center;
    color: rgb(231, 231, 231);
    margin: 25px;
}

footer b {
    color: rgb(116, 154, 197);
}

/* Handle animations */
.hidden {
    opacity: 0;
    filter: blur(5px);
    transform: translateY(10%);
    transition-property: filter, opacity, transform;
    transition-duration: 0.5s;
}

.hidden-blur {
    opacity: 0;
    filter: blur(5px);
    transition-property: filter, opacity;
    transition-duration: 0.7s;
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translateY(0%);
}